com.impinj.stp

## Class StpApi.EPCMemory.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.EPCMemory.Builder>
      - - com.impinj.stp.StpApi.EPCMemory.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.EPCMemoryOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.EPCMemory

      public static final class StpApi.EPCMemory.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.EPCMemory.Builder>
      implements StpApi.EPCMemoryOrBuilder

  Protobuf type `Impinj.STP.EPCMemory` Describes the EPC memory of a tag.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.EPCMemory` | `build()`
    `StpApi.EPCMemory` | `buildPartial()`
    `StpApi.EPCMemory.Builder` | `clear()`
    `StpApi.EPCMemory.Builder` | `clearData()`
    `StpApi.EPCMemory.Builder` | `clearMask()` Bit mask permitting read-modify-write of the existing EPC data.
    `StpApi.EPCMemory.Builder` | `clearPcWord()` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.EPCMemory.Builder` | `clearSerialization()`
    `StpApi.EPCMemory.Builder` | `clone()`
    `com.google.protobuf.ByteString` | `getData()`
    `StpApi.EPCMemory` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `com.google.protobuf.ByteString` | `getMask()` Bit mask permitting read-modify-write of the existing EPC data.
    `StpApi.PCWord` | `getPcWord()` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.PCWord.Builder` | `getPcWordBuilder()` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.PCWordOrBuilder` | `getPcWordOrBuilder()` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.Serialization` | `getSerialization()`
    `StpApi.Serialization.Builder` | `getSerializationBuilder()`
    `StpApi.SerializationOrBuilder` | `getSerializationOrBuilder()`
    `boolean` | `hasData()`
    `boolean` | `hasMask()` Bit mask permitting read-modify-write of the existing EPC data.
    `boolean` | `hasPcWord()` Defines the PC bits (hence the inventoried EPC length).
    `boolean` | `hasSerialization()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.EPCMemory.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.EPCMemory.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.EPCMemory.Builder` | `mergeFrom(StpApi.EPCMemory other)`
    `StpApi.EPCMemory.Builder` | `mergePcWord(StpApi.PCWord value)` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.EPCMemory.Builder` | `mergeSerialization(StpApi.Serialization value)`
    `StpApi.EPCMemory.Builder` | `setData(com.google.protobuf.ByteString value)`
    `StpApi.EPCMemory.Builder` | `setMask(com.google.protobuf.ByteString value)` Bit mask permitting read-modify-write of the existing EPC data.
    `StpApi.EPCMemory.Builder` | `setPcWord(StpApi.PCWord.Builder builderForValue)` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.EPCMemory.Builder` | `setPcWord(StpApi.PCWord value)` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.EPCMemory.Builder` | `setSerialization(StpApi.Serialization.Builder builderForValue)`
    `StpApi.EPCMemory.Builder` | `setSerialization(StpApi.Serialization value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.EPCMemory.Builder>`

    - #### clear

          public StpApi.EPCMemory.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.EPCMemory.Builder>`

    - #### clone

          public StpApi.EPCMemory.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.EPCMemory.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.EPCMemory.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.EPCMemory getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.EPCMemory build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.EPCMemory buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.EPCMemory.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.EPCMemory.Builder>`

    - #### mergeFrom

          public StpApi.EPCMemory.Builder mergeFrom(StpApi.EPCMemory other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.EPCMemory.Builder>`

    - #### mergeFrom

          public StpApi.EPCMemory.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.EPCMemory.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasData

          public boolean hasData()

      Specified by:
        `hasData` in interface `StpApi.EPCMemoryOrBuilder`

    - #### getData

          public com.google.protobuf.ByteString getData()

      Specified by:
        `getData` in interface `StpApi.EPCMemoryOrBuilder`

    - #### setData

          public StpApi.EPCMemory.Builder setData(com.google.protobuf.ByteString value)

    - #### clearData

          public StpApi.EPCMemory.Builder clearData()

    - #### hasMask

          public boolean hasMask()

      Bit mask permitting read-modify-write of the existing EPC data. For each bit use a '1' to update/write new EPC bit and a '0' to keep the existing EPC bit. The default is to update the entire EPC (96 bits).
      Specified by:
        `hasMask` in interface `StpApi.EPCMemoryOrBuilder`

    - #### getMask

          public com.google.protobuf.ByteString getMask()

      Bit mask permitting read-modify-write of the existing EPC data. For each bit use a '1' to update/write new EPC bit and a '0' to keep the existing EPC bit. The default is to update the entire EPC (96 bits).
      Specified by:
        `getMask` in interface `StpApi.EPCMemoryOrBuilder`

    - #### setMask

          public StpApi.EPCMemory.Builder setMask(com.google.protobuf.ByteString value)

      Bit mask permitting read-modify-write of the existing EPC data. For each bit use a '1' to update/write new EPC bit and a '0' to keep the existing EPC bit. The default is to update the entire EPC (96 bits).

    - #### clearMask

          public StpApi.EPCMemory.Builder clearMask()

      Bit mask permitting read-modify-write of the existing EPC data. For each bit use a '1' to update/write new EPC bit and a '0' to keep the existing EPC bit. The default is to update the entire EPC (96 bits).

    - #### hasSerialization

          public boolean hasSerialization()

      Specified by:
        `hasSerialization` in interface `StpApi.EPCMemoryOrBuilder`

    - #### getSerialization

          public StpApi.Serialization getSerialization()

      Specified by:
        `getSerialization` in interface `StpApi.EPCMemoryOrBuilder`

    - #### setSerialization

          public StpApi.EPCMemory.Builder setSerialization(StpApi.Serialization value)

    - #### setSerialization

          public StpApi.EPCMemory.Builder setSerialization(StpApi.Serialization.Builder builderForValue)

    - #### mergeSerialization

          public StpApi.EPCMemory.Builder mergeSerialization(StpApi.Serialization value)

    - #### clearSerialization

          public StpApi.EPCMemory.Builder clearSerialization()

    - #### getSerializationBuilder

          public StpApi.Serialization.Builder getSerializationBuilder()

    - #### getSerializationOrBuilder

          public StpApi.SerializationOrBuilder getSerializationOrBuilder()

      Specified by:
        `getSerializationOrBuilder` in interface `StpApi.EPCMemoryOrBuilder`

    - #### hasPcWord

          public boolean hasPcWord()

      Defines the PC bits (hence the inventoried EPC length).
      Specified by:
        `hasPcWord` in interface `StpApi.EPCMemoryOrBuilder`

    - #### getPcWord

          public StpApi.PCWord getPcWord()

      Defines the PC bits (hence the inventoried EPC length).
      Specified by:
        `getPcWord` in interface `StpApi.EPCMemoryOrBuilder`

    - #### setPcWord

          public StpApi.EPCMemory.Builder setPcWord(StpApi.PCWord value)

      Defines the PC bits (hence the inventoried EPC length).

    - #### setPcWord

          public StpApi.EPCMemory.Builder setPcWord(StpApi.PCWord.Builder builderForValue)

      Defines the PC bits (hence the inventoried EPC length).

    - #### mergePcWord

          public StpApi.EPCMemory.Builder mergePcWord(StpApi.PCWord value)

      Defines the PC bits (hence the inventoried EPC length).

    - #### clearPcWord

          public StpApi.EPCMemory.Builder clearPcWord()

      Defines the PC bits (hence the inventoried EPC length).

    - #### getPcWordBuilder

          public StpApi.PCWord.Builder getPcWordBuilder()

      Defines the PC bits (hence the inventoried EPC length).

    - #### getPcWordOrBuilder

          public StpApi.PCWordOrBuilder getPcWordOrBuilder()

      Defines the PC bits (hence the inventoried EPC length).
      Specified by:
        `getPcWordOrBuilder` in interface `StpApi.EPCMemoryOrBuilder`